Appearance
GET
/customer-relationships/subscription-v2/subscriptionsRequired scope:
subscription:readFinds a customer's subscriptions, including those of its duplicate customers and those it receives as a gift.
Parameters ​
Query parameters
page integerThe page number to retrieve. The first page is 1. Cannot be less than 1.
Default value:
1pageSize integerThe size of the pages to retrieve. The default is 10. Cannot be less than 1 and larger than 100.
Default value:
10customerId integerRequired
The customer whose subscriptions to find.
includeDuplicates booleanWhether to include the subscriptions of the customer's duplicates.
Default value:
trueactive enumFilter by active status.
Enum:
ALLACTIVEINACTIVEDefault value:
ALLResponse ​
The response contains the found subscriptions.
JSON
[
{
"subscriptionId": 143655,
"customerId": 1024,
"receiverCustomerId": 2048,
"name": "Coffee every month",
"active": true,
"startDate": "2026-01-15",
"endDate": "2026-09-30",
"intervalDays": 30,
"deliveriesSent": 4,
"previousDeliveryDate": "2026-10-01",
"nextDeliveryDate": "2026-11-01",
"lastChangeDate": "2026-10-25T23:59:59",
"cancellationPending": false,
"shipmentInProgress": false,
"modifiable": true,
"receivedAsGift": false,
"createdAt": "2024-08-14T12:34:56.412",
"modifiedAt": "2024-08-14T12:34:56.412"
}
]
| Error code | Description |
|---|---|
customer-not-found | The customer does not exist. |
invalid-page | The given page is invalid. |
invalid-page-size | The given page size is invalid. |